[alpine-devel] [PATCH] Initial APKBUILD file of php-zmq
Export this patch
From: "V.Krishn" <vkrishn4@gmail.com>
PHP bindings for 0MQ (ZeroMQ).
---
testing/php-zmq/APKBUILD | 32 ++++++++++++++++++++++++++++++++
testing/php-zmq/zmq.ini | 2 ++
2 files changed, 34 insertions(+)
create mode 100644 testing/php-zmq/APKBUILD
create mode 100644 testing/php-zmq/zmq.ini
diff --git a/testing/php-zmq/APKBUILD b/testing/php-zmq/APKBUILD
new file mode 100644
index 0000000..01aa3a5
--- /dev/null
+++ b/testing/php-zmq/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: V.Krishn <vkrishn4@gmail.com>
+# Maintainer:
+pkgname=php-zmq
+pkgver=1.0.5
+pkgrel=1
+pkgdesc="ZeroMQ for PHP"
+url="https://github.com/mkoppanen/php-zmq"
+arch="all"
+license="PHP"
+depends="php libzmq"
+makedepends="php-dev autoconf zeromq-dev"
+subpackages=""
+source="saveas-https://github.com/mkoppanen/php-zmq/archive/1.0.5.tar.gz/$pkgname-$pkgver.tar.gz
+zmq.ini"
+_builddir="$srcdir/php-zmq-$pkgver"
+
+build() {
+ cd "$_builddir"
+ phpize || return 1
+ ./configure --enable-zmq \
+ --with-php-config=/usr/bin/php-config
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make INSTALL_ROOT=$pkgdir install || return 1
+ install -D -m644 "$srcdir"/zmq.ini "$pkgdir"/etc/php/conf.d/zmq.ini
+}
+
+md5sums="06e36323b8af330b7aa137cbc3cbe6a4 php-zmq-1.0.5.tar.gz
+976eb10e2fb904e342ed3036fb3fc433 zmq.ini"
diff --git a/testing/php-zmq/zmq.ini b/testing/php-zmq/zmq.ini
new file mode 100644
index 0000000..da8d25f
--- /dev/null
+++ b/testing/php-zmq/zmq.ini
@@ -0,0 +1,2 @@
+;[zmq]
+;extension=zmq.so
--
1.8.0
---
Unsubscribe: alpine-devel+unsubscribe@lists.alpinelinux.org
Help: alpine-devel+help@lists.alpinelinux.org
---